package com.gustavopeiretti.myapplication;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.Spinner;

public class MainActivity extends AppCompatActivity {

    private static final String SPINNER_DATA = "SPINNER_DATA";
    private Spinner spinner;
    private String colors[] = new String[0];

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        spinner = (Spinner) findViewById(R.id.spinner);
    }

    @Override
    public void onSaveInstanceState(Bundle savedInstanceState) {
        super.onSaveInstanceState(savedInstanceState);

        // Save in savedInstanceState.
        savedInstanceState.putStringArray(SPINNER_DATA, colors);
    }

    @Override
    public void onRestoreInstanceState(Bundle savedInstanceState) {
        super.onRestoreInstanceState(savedInstanceState);

        // Restore state from the savedInstanceState.
        if(savedInstanceState != null) {
            colors = savedInstanceState.getStringArray(SPINNER_DATA);
            addColors(colors);
        }

    }

    /**
     * Click button
     */
    public void doColors(View view) {

        // super simple data for this example
        colors = new String[]{"Red", "Blue", "White", "Yellow", "Black", "Green", "Purple", "Orange", "Grey"};
        addColors(colors);

    }

    /**
     * Add data to spinner
     */
    private void addColors(String[] colorsToAdd) {
        ArrayAdapter<String> spinnerArrayAdapter = new ArrayAdapter<>(this, android.R.layout.simple_spinner_item, colorsToAdd);
        spinnerArrayAdapter.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);
        spinner.setAdapter(spinnerArrayAdapter);
    }

}
